curl --request GET \
--url https://{defaultHost}/v1/cancellation_reasons/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/cancellation_reasons/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/cancellation_reasons/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "89fc1149-0f19-449f-978d-2db410784be5",
"object": "cancellation_reason",
"archived": false,
"archived_at": null,
"comment_enabled": false,
"comment_prompt": null,
"coupon_enabled": false,
"label": "Too expensive",
"position": 0,
"discarded_at": null,
"created_at": 1787228349,
"updated_at": 1787228349
}Retrieve
Retrieves details of a specific cancellation reason.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
The UUID of the specific object.
A string describing the object type returned.
Whether or not this cancellation reason is archived.
Whether or not this cancellation reason should prompt the user for a comment.
A breif customer-facing prompt for more detail that will be shown when this cancellation reason is selected.
Whether or not this cancellation reason should offer the subscription_protocol.cancellation_prevention_coupon to the customer to preserve the subscription.
The customer-facing label for this cancellation reason.
The ordering position of this cancellation reason when displayed to customers.
Time at which the object was archived. Measured in seconds since the Unix epoch.
Time at which the object was discarded. Measured in seconds since the Unix epoch.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?